camel-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Willem Jiang (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (CAMEL-8875) Keep getting -- Cannot acuire read lock
Date Tue, 16 Jun 2015 02:36:01 GMT

    [ https://issues.apache.org/jira/browse/CAMEL-8875?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14587357#comment-14587357
] 

Willem Jiang commented on CAMEL-8875:
-------------------------------------

Please use the mailing list to discuss the issue first.
You doesn't show us the camel route and you should use the same version of camel components.

> Keep getting -- Cannot acuire read lock
> ---------------------------------------
>
>                 Key: CAMEL-8875
>                 URL: https://issues.apache.org/jira/browse/CAMEL-8875
>             Project: Camel
>          Issue Type: Bug
>    Affects Versions: 2.14.0
>            Reporter: Nayana Devanandan
>            Priority: Critical
>
> I have a single jetty server and I keep getting the below in logs.
> WARN org.apache.camel.component.file.strategy.FileChangedExclusiveReadLockStrategy -
Cannot acquire read lock within 5000 millis. Will skip the file: GenericFile
> List of maven dependencies in the project 
> <!-- Camel Dependencies -->
> 		<dependency>
> 			<groupId>org.apache.camel</groupId>
> 			<artifactId>camel-core</artifactId>
> 			<version>2.14.0</version>
> 		</dependency>
> 		<dependency>
> 			<groupId>org.apache.camel</groupId>
> 			<artifactId>camel-spring</artifactId>
> 			<version>2.14.0</version>
> 		</dependency>
> 		<dependency>
> 			<groupId>org.apache.camel</groupId>
> 			<artifactId>camel-stream</artifactId>
> 			<version>2.14.0</version>
> 		</dependency>
> 		<dependency>
> 			<groupId>org.apache.camel</groupId>
> 			<artifactId>camel-cxf</artifactId>
> 			<version>2.14.0</version>  <!-- use the same version as your Camel
core version -->
> 		</dependency>
> 		<dependency>
> 			<groupId>org.apache.camel</groupId>
> 			<artifactId>camel-http4</artifactId>
> 			<version>2.14.0</version>
> 			<!-- use the same version as your Camel core version -->
> 		</dependency>
> 		<dependency>
> 			<groupId>org.apache.camel</groupId>
> 			<artifactId>camel-zipfile</artifactId>
> 			<version>2.12.2</version>
> 		</dependency>
> 		<dependency>
> 			<groupId>org.apache.camel</groupId>
> 			<artifactId>camel-csv</artifactId>
> 			<version>2.12.2</version>
> 		</dependency>
> 		<dependency>
> 			<groupId>org.apache.camel</groupId>
> 			<artifactId>camel-metrics</artifactId>
> 			<version>2.14.0</version>
> 		</dependency>
> 		<dependency>
> 			<groupId>org.apache-extras.camel-extra</groupId>
> 			<artifactId>camel-jcifs</artifactId>
> 			<version>2.13.3</version>
> 			<!-- use the same version as your Camel core version -->
> 		</dependency>



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message